GLFW 3.0.2 A multi-platform library for OpenGL, window and input

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Macros Groups Pages
Data Fields
GLFWvidmode Struct Reference
Monitor handling

Video mode type. More...

## Data Fields
int | width
int | height
int | redBits
int | greenBits
int | blueBits
int | refreshRate

## Detailed Description

This describes a single video mode.

## Field Documentation

int GLFWvidmode::blueBits

The bit depth of the blue channel of the video mode.

int GLFWvidmode::greenBits

The bit depth of the green channel of the video mode.

int GLFWvidmode::height

The height, in screen coordinates, of the video mode.

int GLFWvidmode::redBits

The bit depth of the red channel of the video mode.

int GLFWvidmode::refreshRate

The refresh rate, in Hz, of the video mode.

int GLFWvidmode::width

The width, in screen coordinates, of the video mode.

The documentation for this struct was generated from the following file:

- glfw3.h